KeyPairGeneratorFactory (GNU cryptographic primitives and tools)
Keywords: gnu.crypto.key.KeyPairGeneratorFactory,KeyPairGeneratorFactory class

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| For the latest news and information visit The GNU Crypto project
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gnu.crypto.key
Class KeyPairGeneratorFactory

    java.lang.Object
      |
      +--gnu.crypto.key.KeyPairGeneratorFactory

public class KeyPairGeneratorFactory
extends java.lang.Object

A Factory to instantiate asymmetric keypair generators.

Method Summary
`static IKeyPairGenerator` | `getInstance(java.lang.String name)` Returns an instance of a keypair generator given its name.
`static java.util.Set` | `getNames()` Returns a `Set` of keypair generator names supported by this Factory.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static IKeyPairGenerator getInstance(java.lang.String name)

  Returns an instance of a keypair generator given its name.

  Parameters:
    `name` - the case-insensitive key generator name.
  Returns:
    an instance of the keypair generator, or `null` if none found.

### getNames

    public static final java.util.Set getNames()

  Returns a `Set` of keypair generator names supported by this Factory. Those keypair generators may be used in conjunction with the digital signature schemes with appendix supported by this library.

  Returns:
    a `Set` of keypair generator names (Strings).

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| For the latest news and information visit The GNU Crypto project
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001, 2002, 2003, 2004 Free Software Foundation, Inc.